package northwind_entities;// default package
// Generated Dec 23, 2019, 10:52:22 PM by Hibernate Tools 3.2.2.GA


import northwind_entities_save.DWEntity;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

import static javax.persistence.GenerationType.IDENTITY;

/**
 * PurchaseOrderDetails generated by hbm2java
 */
@Entity
@DWEntity
@Table(name="purchase_order_details"
    ,catalog="northwind"
)
public class PurchaseOrderDetails  implements java.io.Serializable {
    public String toString() {
        return
            "\"" + id + "\"," +
            "\"" + purchaseOrders.getId() + "\"," +
            "\"" + products.getId() + "\"," +
            "\"" + quantity + "\"," +
            "\"" + unitCost + "\"";
    }

     private Integer id;
     private Products products;
     private PurchaseOrders purchaseOrders;
     private InventoryTransactions inventoryTransactions;
     private BigDecimal quantity;
     private BigDecimal unitCost;
     private Date dateReceived;
     private boolean postedToInventory;

    public PurchaseOrderDetails() {
    }

	
    public PurchaseOrderDetails(PurchaseOrders purchaseOrders, BigDecimal quantity, BigDecimal unitCost, boolean postedToInventory) {
        this.purchaseOrders = purchaseOrders;
        this.quantity = quantity;
        this.unitCost = unitCost;
        this.postedToInventory = postedToInventory;
    }
    public PurchaseOrderDetails(Products products, PurchaseOrders purchaseOrders, InventoryTransactions inventoryTransactions, BigDecimal quantity, BigDecimal unitCost, Date dateReceived, boolean postedToInventory) {
       this.products = products;
       this.purchaseOrders = purchaseOrders;
       this.inventoryTransactions = inventoryTransactions;
       this.quantity = quantity;
       this.unitCost = unitCost;
       this.dateReceived = dateReceived;
       this.postedToInventory = postedToInventory;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)
    
    @Column(name="id", unique=true, nullable=false)
    public Integer getId() {
        return this.id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="product_id")
    public Products getProducts() {
        return this.products;
    }
    
    public void setProducts(Products products) {
        this.products = products;
    }
@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="purchase_order_id", nullable=false)
    public PurchaseOrders getPurchaseOrders() {
        return this.purchaseOrders;
    }
    
    public void setPurchaseOrders(PurchaseOrders purchaseOrders) {
        this.purchaseOrders = purchaseOrders;
    }
@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="inventory_id")
    public InventoryTransactions getInventoryTransactions() {
        return this.inventoryTransactions;
    }
    
    public void setInventoryTransactions(InventoryTransactions inventoryTransactions) {
        this.inventoryTransactions = inventoryTransactions;
    }
    
    @Column(name="quantity", nullable=false, precision=18, scale=4)
    public BigDecimal getQuantity() {
        return this.quantity;
    }
    
    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }
    
    @Column(name="unit_cost", nullable=false, scale=4)
    public BigDecimal getUnitCost() {
        return this.unitCost;
    }
    
    public void setUnitCost(BigDecimal unitCost) {
        this.unitCost = unitCost;
    }
    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="date_received", length=19)
    public Date getDateReceived() {
        return this.dateReceived;
    }
    
    public void setDateReceived(Date dateReceived) {
        this.dateReceived = dateReceived;
    }
    
    @Column(name="posted_to_inventory", nullable=false)
    public boolean isPostedToInventory() {
        return this.postedToInventory;
    }
    
    public void setPostedToInventory(boolean postedToInventory) {
        this.postedToInventory = postedToInventory;
    }




}


